-- NDSPKI (NDS Public Key Infrastructure) Schema Definitions
-- NetIQ Corporation, 
-- 1233 West Loop South, Suite 810 
-- Houston, TX 77027 USA
--
-- VeRsIoN=MAC 1.0
-- CoPyRiGhT=(c) Copyright 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--
-- Object ID (OID) is registered with Internal Schema Registration
-- as of 02-04-1998 
--
-- OIDs Defined as Follows:
--   joint-iso-ccitt(2) country(16) us(840) organization(1)
--   Novell(113719) applications(1) NDSPKI (48)
--										NDSPKI Attribute Type 4
--										NDSPKI Attribute Syntax 5
--										NDSPKI Object Class 6
--					
--
NDSPKISchemaExtentions {0 0 0 0 0 0 0 0 0 0} DEFINITIONS ::=
BEGIN

--
-- New Attributes
--

--
-- Generic Attributes for Certificate Authority Objects (CAO) AND
-- Key Material Objects (KMO)
--
"NDSPKI:Public Key" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 1}
}

 "NDSPKI:Private Key" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 2}
}

"NDSPKI:Public Key Certificate" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 3}
}
 
"NDSPKI:Certificate Chain"  ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 4}
}

"NDSPKI:Public Key EC" ATTRIBUTE ::=
{
        Operation               ADD,
        SyntaxID                        SYN_OCTET_STRING,
        Flags                           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID               {2 16 840 1 113719 1 48 4 1 16}
}

 "NDSPKI:Private Key EC" ATTRIBUTE ::=
{
        Operation               ADD,
        SyntaxID                        SYN_OCTET_STRING,
        Flags                           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
        ASN1ObjID               {2 16 840 1 113719 1 48 4 1 17}
}

"NDSPKI:Public Key Certificate EC" ATTRIBUTE ::=
{
        Operation               ADD,
        SyntaxID                        SYN_OCTET_STRING,
        Flags                           {DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
        ASN1ObjID               {2 16 840 1 113719 1 48 4 1 18}
}

"Cross Certificate Pair EC" ATTRIBUTE ::=
{
        Operation               ADD,
        SyntaxID                        SYN_OCTET_STRING,
        Flags                           {DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID               {2 16 840 1 113719 1 48 4 1 19}
}

"NDSPKI:Certificate Chain EC"  ATTRIBUTE ::=
{
        Operation               ADD,
        SyntaxID                        SYN_OCTET_STRING,
        Flags                           {DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID               {2 16 840 1 113719 1 48 4 1 20}
}
    
--
-- Unique attributes for the Certificate Authority Object
--
"NDSPKI:Parent CA"  ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_CI_STRING,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 5}
}

"NDSPKI:Parent CA DN"  ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_DIST_NAME,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 6}
}

"NDSPKI:SuiteBMode"  ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID		SYN_INTEGER,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 20}
}
--
-- Unique Attributes for the Key Material Object
--

"NDSPKI:Key File" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 7}
}

"NDSPKI:Subject Name" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_CI_STRING,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 8}
}

"NDSPKI:Given Name" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_CI_STRING,
	Flags				{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 11}
}
--
-- PKI attributes for the SAS:Service object that will point to the KMO 
-- (Key File)
--
"NDSPKI:Key Material DN" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_DIST_NAME,	
	Flags				{DS_SYNC_IMMEDIATE},
	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 9}
}
--
-- PKI attribute placed on SAS:Security object that will point to the 
-- Tree CA object
--
"NDSPKI:Tree CA DN" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_DIST_NAME,	
	Flags				{DS_SYNC_IMMEDIATE},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 10}
}

"userCertificate" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 36}
}

"cACertificate" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 37}
}

"cAECCertificate" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 59}
}

"authorityRevocationList" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 38}
}

"certificateRevocationList" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 39}
}

"deltaRevocationList" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 53}
}

"crossCertificatePair" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 40}
}

"attributeCertificate" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID		{2 5 4 58}
}


"NDSPKI:userCertificateInfo" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_PATH,	
	Flags				{DS_SYNC_IMMEDIATE},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 12}
}

--
-- Attributes for Trusted Root Certificates
--

"NDSPKI:Trusted Root Certificate" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 13}
}

"NDSPKI:Not Before" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_CI_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 14}
}

"NDSPKI:Not After" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_CI_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 15}
}

--
-- Attributes for Security Domain Keys of NICI (Added 10 Dec 1998)
--  Uses ASN1Obj numbers 100+
--
"NDSPKI:SD Key Server DN" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_DIST_NAME,
	Flags				{DS_SYNC_IMMEDIATE, DS_SERVER_READ},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 101}
}

"NDSPKI:SD Key Struct" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 102}
}

"NDSPKI:SD Key Cert" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 103}
}

"NDSPKI:SD Key ID" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR},
 	ASN1ObjID		{2 16 840 1 113719 1 48 4 1 104}
}

"NDSPKI:Keystore" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_HIDDEN_ATTR},
 	ASN1ObjID		{2 16 840 1 113719 1 39 4 1 105}
}

"ndspkiAdditionalRoots" ATTRIBUTE ::=
{
	Operation		ADD,
	SyntaxID			SYN_OCTET_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
 	ASN1ObjID		{2 16 840 1 113719 1 39 4 1 106}
}

--
--
-- Define New Classes
--
-- This is the Tree Certficate Authority
-- The only CA allowed in NetWare 5.0 (Moab)
-- In the future the contaiment will be expanded for this object
"NDSPKI:Certificate Authority" OBJECT-CLASS ::=
{
	Operation		ADD,
	Flags				{DS_EFFECTIVE_CLASS},
	SubClassOf		{"Top"},
	ContainedBy		{"SAS:Security"},
	NamedBy			{"CN"},
	MustContain		{"CN"},
	MayContain		{
							"Host Server", 
							"NDSPKI:Public Key", 
							"NDSPKI:Private Key", 
							"NDSPKI:Public Key Certificate", 
							"NDSPKI:Certificate Chain", 
							"NDSPKI:Certificate Chain EC", 
							"NDSPKI:Parent CA",
							"NDSPKI:Parent CA DN", 
							"NDSPKI:Subject Name",
							"NDSPKI:Public Key EC",
							"NDSPKI:Private Key EC",
							"NDSPKI:Public Key Certificate EC",
							"Cross Certificate Pair EC",
							"NDSPKI:SuiteBMode"
				},
	ASN1ObjID		{2 16 840 1 113719 1 48 6 1 1}
}

"NDSPKI:Key Material" OBJECT-CLASS ::=
{
	Operation		ADD,
	Flags				{DS_EFFECTIVE_CLASS},
	SubClassOf		{"Top"},
	ContainedBy		{
							"SAS:Security", 
							"Organization", 
							"Organizational Unit", 
							"domain"
						},
	NamedBy			{"CN"},
	MustContain		{"CN"},
	MayContain		{
							"Host Server", 
							"NDSPKI:Key File", 
							"NDSPKI:Private Key", 
							"NDSPKI:Public Key", 
							"NDSPKI:Public Key Certificate", 
							"NDSPKI:Certificate Chain", 
							"NDSPKI:Subject Name", 
							"NDSPKI:Given Name"
						},
	ASN1ObjID		{2 16 840 1 113719 1 48 6 1 2}
}

"NDSPKI:Trusted Root" OBJECT-CLASS ::=
{
	Operation		ADD,
	Flags				{DS_CONTAINER_CLASS, DS_EFFECTIVE_CLASS},
	SubClassOf		{"Top"},
	ContainedBy		{
							"SAS:Security", 
							"Organization", 
							"Organizational Unit",	
							"Country", 
							"Locality", 
							"domain"
						},
	NamedBy			{"CN"},
	MustContain		{"CN"},
	ASN1ObjID		{2 16 840 1 113719 1 48 6 1 3}
}

"NDSPKI:Trusted Root Object" OBJECT-CLASS ::=
{
	Operation		ADD,
	Flags				{DS_EFFECTIVE_CLASS},
	SubClassOf		{"Top"},
	ContainedBy		{"NDSPKI:Trusted Root"},
	NamedBy			{"CN"},
	MustContain		{"CN", "NDSPKI:Trusted Root Certificate"},
	MayContain		{
							"NDSPKI:Subject Name", 
							"NDSPKI:Not Before", 
							"NDSPKI:Not After", 
							"External Name", 
							"Given Name", 
							"Surname"
						},
	ASN1ObjID		{2 16 840 1 113719 1 48 6 1 4}
}

--
-- Classes for Security Domain Keys of NICI (Added 10 Dec 1998) 
--  Uses ASN1Obj numbers 100+
"NDSPKI:SD Key Access Partition" OBJECT-CLASS ::=
{
	Operation		ADD,
	Flags				{DS_CONTAINER_CLASS, DS_EFFECTIVE_CLASS},
	SubClassOf		{"Top"},
	ContainedBy		{"SAS:Security"},
	NamedBy			{"CN"},
	MustContain		{"CN"},
	ASN1ObjID		{2 16 840 1 113719 1 48 6 1 101}
}

"NDSPKI:SD Key List" OBJECT-CLASS ::=
{
	Operation		ADD,
	Flags				{DS_CONTAINER_CLASS, DS_EFFECTIVE_CLASS},
	SubClassOf		{"Top"},
	ContainedBy		{"NDSPKI:SD Key Access Partition"},
	NamedBy			{"CN"},
	MustContain		{"CN"},
	MayContain		{"NDSPKI:SD Key Server DN", "NDSPKI:SD Key Struct", "NDSPKI:SD Key Cert"},
	ASN1ObjID		{2 16 840 1 113719 1 48 6 1 102}
}

--
-- Modify existing classes
--
"SAS:Service" OBJECT-CLASS ::=
{
	Operation		MODIFY,
	MayContain		{"NDSPKI:Key Material DN"}
}

"SAS:Security" OBJECT-CLASS ::=
{
	Operation		MODIFY,
	MayContain		{"NDSPKI:Tree CA DN"}
}
--
-- The "Root" partition will have this attribute which references
-- the security object.
--
"Partition" OBJECT-CLASS ::=
{
	Operation		MODIFY,
	MayContain		{"SAS:Security DN"}
}
--
-- The NCP server object is modified to contain the information
-- about the subordinate certificate authority that the server may
-- serve
--
"NCP Server" OBJECT-CLASS ::=
{
	Operation		MODIFY,
	MayContain		{
							"cACertificate",
							"cAECCertificate",	
							"NDSPKI:Public Key", 
							"NDSPKI:Private Key", 
							"NDSPKI:Certificate Chain", 
							"NDSPKI:Parent CA DN"
				}
}
"User" OBJECT-CLASS ::=
{
	Operation		MODIFY,
	MayContain		{"userCertificate", "NDSPKI:userCertificateInfo"}
}
--
-- Modify Classes for SD NICI Support (10 Dec 1998)
"NCP Server" OBJECT-CLASS ::=
{
	Operation		MODIFY,
	MayContain		{"NDSPKI:SD Key ID", "NDSPKI:SD Key Struct"}
}
"User" OBJECT-CLASS ::=
{
 	Operation		MODIFY,
	MayContain		{"NDSPKI:Keystore"}
}

-- Modify Classes for LDAP support (13 June 2001)
"NDSPKI:Certificate Authority" OBJECT-CLASS ::=
{
 	Operation		MODIFY,
	MayContain		{"cACertificate", "cAECCertificate"}
}

-- Modify Classes for multiple root support (12 July 2001)
"NDSPKI:Key Material" OBJECT-CLASS ::=
{
 	Operation		MODIFY,
	MayContain		{"ndspkiAdditionalRoots"}
}

-- Modify Classes for allow for searchable validity time (29 July 2004)
"NDSPKI:Key Material" OBJECT-CLASS ::=
{
 	Operation		MODIFY,
	MayContain		{
							"NDSPKI:Not Before",
							"NDSPKI:Not After"
						}
}
END
