-- NDSPKI (NDS Public Key Infrastructure) Schema Definitions
-- NetIQ Corporation, 
-- 1233 West Loop South, Suite 810 
-- Houston, TX 77027 USA
--
-- VeRsIoN=MAC 1.0
-- CoPyRiGhT=(c) Copyright 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--
-- Object ID (OID) is registered with Internal Schema Registration
-- as of 02-04-1998 
--
-- OIDs Defined as Follows:
--   joint-iso-ccitt(2) country(16) us(840) organization(1)
--   Novell(113719) applications(1) NDSPKI (48)
--										NDSPKI Attribute Type 4
--										NDSPKI Attribute Syntax 5
--										NDSPKI Object Class 6
--					
--
NDSPKISchemaExtentions DEFINITIONS ::=
BEGIN

-- The following attributes are duplicated in ldapupdt.sch.
-- They are included here to gain commonality between LDAP and PKI schema.
-- In a future release, these attributes will be included only in the PKI schema
-- file. Do not remove or modify any of the following attributes without prior
-- approval from LDAP, NDS, and PKI teams!!!

-- The objects and attributes defined here are only available when running a
-- skads server which supports auxillary classes.

"pkiCA" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"cACertificate", "cAECCertificate", "certificateRevocationList",
				"authorityRevocationList", "crossCertificatePair",
				"Cross Certificate Pair EC", "attributeCertificate", "Public Key", "Private Key",
				"Network Address", "Login Time", "Last Login Time"},
	ASN1ObjID	{2 5 6 22}
}

-- was entrustUser
"pkiUser" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"userCertificate"},
	ASN1ObjID	{2 5 6 21}
}

-- was certificationAuthority. Kept here for backward compatability
"certificationAuthority" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MustContain	{"authorityRevocationList", "certificateRevocationList",
				"cACertificate"},
	MayContain	{"crossCertificatePair"},
	ASN1ObjID	{2 5 6 16}
}


END
