-- NetIQ Corporation, 
-- 1233 West Loop South, Suite 810 
-- Houston, TX 77027 USA
--
-- VeRsIoN=MAC 1.0
-- CoPyRiGhT=(c) Copyright 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--
-- Object ID (OID) is registered with Internal Schema Registration
-- as of 02-04-1998 
--
-- OIDs Defined as Follows:
--   joint-iso-ccitt(2) country(16) us(840) organization(1)
--   Novell(113719) applications(1) NDSPKI (48)
--										NDSPKI Attribute Type 4
--										NDSPKI Attribute Syntax 5
--										NDSPKI Object Class 6
--					
--
NDSPKISchemaExtentions {0 0 0 0 0 0 0 0 0 0} DEFINITIONS ::=
BEGIN

"ndspkiCRLFileName" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_PATH,
	Flags			{DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 16}
}

"ndspkiStatus" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_INTEGER,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 17}
}

"ndspkiIssueTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_TIME,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 18}
}

"ndspkiNextIssueTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_TIME,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 19}
}

"ndspkiAttemptTime" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_TIME,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 20}
}

"ndspkiTimeInterval" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_OCTET_STRING,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 21}
}

"ndspkiCRLMaxProcessingInterval" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_INTERVAL,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 22}
}

"ndspkiCRLNumber" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_INTEGER,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 23}
}

"ndspkiDistributionPoints" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_CI_STRING,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 24}
}

"ndspkiCRLProcessData" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_OCTET_STRING,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 25}
}

"ndspkiCRLConfigurationDNList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_PATH,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 26}
}

"ndspkiCADN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_DIST_NAME,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 27}
}

"ndspkiCRLContainerDN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_DIST_NAME,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 28}
}

"ndspkiIssuedCertContainerDN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_DIST_NAME,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 29}
}

"ndspkiDistributionPointDN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_DIST_NAME,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 30}
}

"ndspkiCRLConfigurationDN" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_DIST_NAME,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ, DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 31}
}

"ndspkiDirectory" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_PATH,
	Flags			{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 32}
}

"ndspkiAuthorityRevocationList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_STREAM,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 33}
}

"ndspkiCertificateRevocationList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_STREAM,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 34}
}

"ndspkiDeltaRevocationList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_STREAM,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 35}
}

"ndspkiTrustedRootList" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_DIST_NAME,
	Flags			{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 36}
}

"ndspkiSecurityRightsLevel" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_INTEGER,
	Flags			{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 37}
}

"ndspkiKMOExport" ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID		SYN_CI_STRING,
	Flags			{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 16 840 1 113719 1 48 4 1 38}
}

"ndspkiCRLECConfigurationDNList" ATTRIBUTE ::=
{
        Operation       ADD,
        SyntaxID                SYN_PATH,
        Flags                   {DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID       {2 16 840 1 113719 1 48 4 1 39}
}

"ndspkiCRLType" ATTRIBUTE ::=
{
        Operation       ADD,
        SyntaxID        SYN_INTEGER,
        Flags           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID       {2 16 840 1 113719 1 48 4 1 40}
}

"ndspkiCRLExtendValidity" ATTRIBUTE ::=
{
        Operation       ADD,
        SyntaxID        SYN_INTEGER,
        Flags           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID       {2 16 840 1 113719 1 48 4 1 41}
}
"ndspkiDefaultRSAKeySize" ATTRIBUTE ::=
{
        Operation       ADD,
        SyntaxID        SYN_INTEGER,
        Flags           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID       {2 16 840 1 113719 1 48 4 1 42}

}

"ndspkiDefaultECCurve" ATTRIBUTE ::=
{
        Operation       ADD,
        SyntaxID        SYN_CE_STRING,
        Flags           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID       {2 16 840 1 113719 1 48 4 1 43}

}

"ndspkiDefaultCertificateLife" ATTRIBUTE ::=
{
        Operation       ADD,
        SyntaxID        SYN_INTEGER,
        Flags           {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
        ASN1ObjID       {2 16 840 1 113719 1 48 4 1 44}

}

"ndspkiContainer" OBJECT-CLASS ::=
{
  Operation     ADD,
  Flags         {DS_CONTAINER_CLASS, DS_EFFECTIVE_CLASS},
  SubClassOf    {"Top"},
  ContainedBy   { "SAS:Security",
  						"Organization",
						"Organizational Unit",
						"Country",
						"Locality", 
						"ndspkiContainer",
						"NDSPKI:Trusted Root"},
  NamedBy       {"CN"},
  MustContain   {"CN"},
  ASN1ObjID     {2 16 840 1 113719 1 48 6 1 5}
}

"ndspkiCertificate" OBJECT-CLASS ::=
{
  Operation     ADD,
  Flags         {DS_EFFECTIVE_CLASS},
  SubClassOf    {"Top"},
  ContainedBy   { "SAS:Security",
  						"Organization",
						"Organizational Unit",
						"Country",
						"Locality", 
						"ndspkiContainer",
						"NDSPKI:Trusted Root"},
  NamedBy       {"CN"},
  MustContain   {"CN", "userCertificate"},
  MayContain    {"NDSPKI:Subject Name",
						"NDSPKI:Not Before",
						"NDSPKI:Not After",
						"External Name",
						"Given Name",
						"Surname"},
  ASN1ObjID     {2 16 840 1 113719 1 48 6 1 6}
}

"ndspkiCRLConfiguration"  OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"TOP"},
	Flags			{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy {"ndspkiContainer"},
	NamedBy		{"CN"},
	MustContain {"CN"},
	MayContain	{
	            	"ndspkiCRLFileName",
			    		"ndspkiDirectory",
			    		"ndspkiStatus",
			    		"ndspkiIssueTime",
			    		"ndspkiNextIssueTime",
			    		"ndspkiAttemptTime",
			    		"ndspkiTimeInterval",
			    		"ndspkiCRLMaxProcessingInterval",
			    		"ndspkiCRLNumber",
			    		"ndspkiDistributionPoints",
			    		"ndspkiDistributionPointDN",
			    		"ndspkiCADN",
				 		"ndspkiCRLProcessData",
						"NDSPKI:Public Key",
			  			"NDSPKI:Private Key",
			  			"NDSPKI:Public Key Certificate",
			  			"NDSPKI:Certificate Chain",
						"NDSPKI:Parent CA",
						"NDSPKI:Parent CA DN",
						"NDSPKI:Subject Name",
						"caCertificate",
						"Host Server",
						"ndspkiCRLType",
						"ndspkiCRLExtendValidity"
			    	},
			
	ASN1ObjID	{2 16 840 1 113719 1 48 6 1 7}
}

"NDSPKI:Certificate Authority" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain  {
		    				"ndspkiCRLContainerDN", 
						"ndspkiIssuedCertContainerDN",
						"ndspkiCRLConfigurationDNList",
						"ndspkiCRLECConfigurationDNList",
						"ndspkiSecurityRightsLevel",
						"ndspkiDefaultRSAKeySize",
						"ndspkiDefaultECCurve",
						"ndspkiDefaultCertificateLife"
		    		}
}

"cRLDistributionPoint" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"TOP"},
	Flags			{DS_EFFECTIVE_CLASS},
	ContainedBy	{
						"Country", 
						"Locality", 
						"Organizational Unit",
						"Organization", 
						"SAS:Security", 
						"domain",
						"ndspkiCRLConfiguration"
					},
	NamedBy		{"CN"},
	MustContain	{"CN"},
	MayContain	{
						"authorityRevocationList", 
						"ndspkiAuthorityRevocationList", 
						"caCertificate",
						"certificateRevocationList",
						"ndspkiCertificateRevocationList",
						"crossCertificatePair",
						"deltaRevocationList", 
						"ndspkiDeltaRevocationList", 
						"ndspkiCRLConfigurationDN"
					},
	ASN1ObjID	{2 5 6 19}
}

"NDSPKI:Trusted Root" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain  {
						"ndspkiTrustedRootList"
		    		}
}

"SAS:Service" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain  {
						"ndspkiKMOExport"
		    		}
}

END
